#include <ip_check.h>

int main(int argc, char **argv)
{
    char interface[32] = {0};
	char dest_hw_addr[32];
    struct in_addr dest_ip = {0};
	int ret;
	
	memset(dest_hw_addr, 0, 32);

    if(argc == 2 )   //如果不输入IP，则检测指定网络接口IP地址
    {
        sprintf(interface, "%s", argv[1]);
    }
	else if(argc == 3)
	{
	    sprintf(interface, "%s", argv[1]);
        int b_ip = ip_verify(argv[2]);
	    if(b_ip != 1)   //非法IP
	    {
	        printf("invalid IP address\n");
	        return -1;
	    }
        inet_aton(argv[2], &dest_ip);

	}
    else
        return 0;
	//修改函数后要指定网卡接口名称
    ret = ip_check(interface, &dest_ip, dest_hw_addr);
    //打开socket发生错误
    if(ret == -1)
        return -1;
    send_result_to_notify(ret, dest_ip, dest_hw_addr);
    
    
    return 0;
}
    
                     
